<?php include('../config/db.php'); ?>
<?php 
//$Id=(isset($_POST['id']))?$_POST['id']:"";
$plan=(isset($_GET['plan']))?$_GET['plan']:"";
$instalacion=(isset($_GET['instalacion']))?$_GET['instalacion']:"";
$actividadId=(isset($_GET['actividadId']))?$_GET['actividadId']:"";
$fechas=(isset($_GET['selMes']))?$_GET['selMes']:"";
$resultado = 0;
$separador = explode("_", $fechas);
//echo("sepa1 = ".$separador['0']."sepa2 = ".$separador['1']);
try{
    $sql_1=$conexion->prepare("select act.detalle, pa.cantidad as total, COUNT(ing.actividadId) as ejecutado, 
    pa.cantidad - COUNT(ing.actividadId) as pendiente,
    insta.nombre, insta.id, pf.annio, pf.mes from formularioingreso ing 
    inner JOIN formularioinstalacion inst on inst.formularioId = ing.id 
    inner join planprevencion pp on pp.id = ing.planId 
    inner join planfechas pf on pf.planId = pp.id 
    inner join planactividad pa on pa.planId = pp.id 
    INNER JOIN actividades act on act.id = pa.actividadId 
    inner join instalacion insta on insta.id = inst.instalacionId 
    where year(ing.fechaRealizacion) = pf.annio 
    and month(ing.fechaRealizacion) = pf.mes 
    and pa.actividadId=ing.actividadId 
    and pp.id in (:plan) and inst.instalacionId in (:instalacion) and pa.actividadId in (:actividadId)
    and year(ing.fechaRealizacion) = :anio and month(ing.fechaRealizacion) = :mes
    GROUP by ing.actividadId, pf.annio, pf.mes, insta.nombre
    ");  
    $sql_1->bindParam(":plan",$plan);
    $sql_1->bindParam(":instalacion",$instalacion);
    $sql_1->bindParam(":actividadId",$actividadId);
    $sql_1->bindParam(":mes",$separador['0']);
    $sql_1->bindParam(":anio",$separador['1']);
    $sql_1->execute();
    $data = $sql_1->fetchAll(PDO::FETCH_ASSOC);
    $resultado = count($data);
    if($resultado == 0){
        $data = null;
    }
    echo json_encode($data);
}catch (Exception $err) {
    echo ("Ha ocurrido un error en la solicitud. ");  
    throw $err;
}

?>